#!/bin/bash

function position_test() {
    sum=`echo 0`
    for r in `seq 1 10`; do

        psql test > tmp.log <<EOF
\timing on
$2
EOF

        t=`cat tmp.log | grep Time | awk '{print $2}'`
        sum=`awk "BEGIN {print $t + $sum}"`

    done

    avg=`awk "BEGIN {print $sum/10}"`

    echo  $1 $avg
}

position_test "uncompressed prefix" "select sum(position('abc' in a)) from detoast_u"
position_test "uncompressed suffix" "select sum(position('xyz' in a)) from detoast_u"
position_test "compressed prefix" "select sum(position('abc' in a)) from detoast_c"
position_test "compressed suffix" "select sum(position('xyz' in a)) from detoast_c"
